Update Shift

Update a worker's completed shift. Requires shift_id to identify which shift to update. If an existing shift cannot be found with the provided shift_id, call will return 404 - Not Found. Requests made with missing required fields or invalid dates/times will return 400 - Bad Request. Successful call will return newly updated shift.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required

Organization ID

string
required

Employee ID

string
required

Shift ID

Body Params
date-time

Time the shift started

date-time

Time the shift ended. This does not need to be provided if hours is provided

double

Number of hours worked in the shift. This does not need to be provided if punch_out is provided

int32

Amount of money, in cents, the employee made per hour/day depending on shift_type

string
enum

Shift type

Allowed:
Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json